Put Organization NPMSettings
https://app.fossa.com/api/organizations/{id}/settings/languages/npmUpdate authentication settings for NPM
Path parameters
idintegerrequiredOrganization ID
Request body · application/json
registriesobject[]List of NPM configurations
_idstringUUID of the NPM registry (For FOSSA internal usage)
urlstringRemote URL of the NPM registry
authobjectcaobject__typeenumsvaluestringhasCabooleanUsed when an existing CA is obfuscated in the response
Responses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/languages/npmcurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/languages/npm' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "registries": [ { "_id": "00000000-0000-0000-0000-000000000001", "url": "www.npmauth.com/auth1", "auth": { "email": "foo@bar.com", "username": "npm_user", "password": { "__type": "s", "value": "password" } }, "hasCa": true }, { "_id": "00000000-0000-0000-0000-000000000001", "url": "www.npmauth.com/auth2", "auth": { "token": { "__type": "s", "value": "2324234234" } }, "hasCa": true } ]}'Real request. Mutating methods can change data.
Path params
idintegerrequiredOrganization ID